## Called by 'golden_tools/tool_ready'
## Apply the correct effect for the tool that has been used and handle durability penalty
# Get tool's durability loss
execute store result score &itemDamage multipack.temp run data get entity @s SelectedItem.tag.Damage

# Activate tool effects for pickaxe, shovel, and axe
execute if score @s multipack.use_gold_pickaxe matches 1.. at @e[distance=..7,type=minecraft:item,predicate=m_golden_tools:golden_tools/mined_by_golden_pickaxe,limit=1] run function m_golden_tools:golden_tools/pickaxe/used_pickaxe
execute if score @s multipack.use_gold_shovel matches 1.. at @e[distance=..7,type=minecraft:item,predicate=m_golden_tools:golden_tools/mined_by_golden_shovel,limit=1] run function m_golden_tools:golden_tools/shovel/used_shovel
execute if score @s multipack.use_gold_axe matches 1.. at @e[distance=..7,type=minecraft:item,predicate=m_golden_tools:golden_tools/mined_by_golden_axe,limit=1] run function m_golden_tools:golden_tools/axe/used_axe
execute if score @s multipack.use_gold_hoe matches 1.. run function m_golden_tools:golden_tools/hoe/used_hoe
function m_golden_tools:golden_tools/reset_scores

# Apply durability loss
execute store result storage m_golden_tools:damage Damage int 1 run scoreboard players get &itemDamage multipack.temp
item modify entity @s weapon.mainhand m_golden_tools:damage
execute if score &itemDamage multipack.temp matches 32.. at @s run function m_golden_tools:golden_tools/break_item
